# Complete

from math import sqrt
UNIV_TICK = 0.001

class vector():

    def __init__(self,x,y):
        self.x=x
        self.y=y
    
    def magnitude(self):
        return sqrt(self.x * self.x + self.y * self.y)

    def unit(self):
        M = self.magnitude()
        return mult(self, 1/M)

    def shift_by(self,vec):
        self.x += vec.x * UNIV_TICK
        self.y += vec.y * UNIV_TICK

def mult(vec,ratio=1):
    return vector(vec.x*ratio, vec.y*ratio)

def add(vec0,vec1):
    return vector(vec0.x+vec1.x, vec0.y+vec1.y)

def dot_prod(vec0,vec1):
    return vec0.x*vec1.x + vec0.y*vec1.y

def add_all(vecs):
    SX = 0
    SY = 0
    for vec in vecs:
        SX += vec.x
        SY += vec.y
    return vector(SX,SY)

# UNITS FOR 
# VECTORS:

# meter
# meter/second
# meter/second second
# kilogram meter / second second = newton

# UNITS FOR SCALARS

# meter meter = sq. meter
# second
# newton per meter
# kilogram